--- title: "getRootPasswordServerInstanceList" slug: "compute-vserver-server-getrootpasswordserverinstancelist" updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-server-getrootpasswordserverinstancelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getRootPasswordServerInstanceList Available in VPC Get the list of admin passwords using the authentication key of a server instance (VM). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getRootPasswordServerInstanceList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `rootPasswordServerInstanceList.N.serverInstanceNo` | String | Required | Server instance number - See [getServerInstanceList](/docs/en/compute-vserver-server-getserverinstancelist). - Example: `rootPasswordServerInstanceList.1.serverInstanceNo=1234&rootPasswordServerInstanceList.2.serverInstanceNo=2345` | | `rootPasswordServerInstanceList.N.privateKey` | String | Required | Authentication key (private key) - Create it or enter the content of the PEM imported from outside. - Line breaks are represented by `\n`. - URL encoding is required when calling in the GET method. - Example: `rootPasswordServerInstanceList.1.privateKey=private-key-1&rootPasswordServerInstanceList.2.privateKey=private-key-2` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getRootPasswordServerInstanceList ?regionCode=KR &rootPasswordServerInstanceList.1.serverInstanceNo=***8773 &rootPasswordServerInstanceList.1.privateKey=-----BEGIN RSA PRIVATE KEY-----\n{Private Key}\n-----END RSA PRIVATE KEY-----\n &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getRootPasswordServerInstanceListResponse` | Object | - | Response result - See [RootPasswordServerInstanceList](/docs/en/common-vapidatatype-rootpasswordserverinstancelist). | | `getRootPasswordServerInstanceListResponse.requestId` | String | - | ID for the request - UUID format | | `getRootPasswordServerInstanceListResponse.returnCode` | String | - | Response code | | `getRootPasswordServerInstanceListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getRootPasswordServerInstanceListResponse": { "totalRows": 1, "rootPasswordServerInstanceList": [ { "serverInstanceNo": "*****8773", "rootPassword": "A9@8qc******" } ], "requestId": "47ec5027-acf5-4594-bdb7-6e340d80c520", "returnCode": "0", "returnMessage": "success" } } ```